local myMod = ...

-- Register all shoemaker building parts and their properties
myMod:dofile("scripts/building_settings.lua")

myMod:register({
	DataType = "BUILDING",
	Id = "SHOEMAKER_BUILDING",
	Name = "SHOEMAKER_NAME",
	Description = "SHOEMAKER_DESC",
	BuildingType = "GENERAL",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "SHOEMAKER_PART" }
		}
	},
	--DesirabilityLayer = "DESIRABILITY",
	VillagerRequired = { Status = "COMMONER", Quantity = 20 }
})

myMod:register({
	DataType = "BUILDING_PART",
	Id = "SHOEMAKER_PART",
	--Description = "",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SHOEMAKER"
	},
	BuildingZone = { 10, 7 },
	ConstructionVisual = "PREFAB_SHOEMAKER_CONSTRUCTION",
	--DesirabilityModifiers = {"DESIRABILITY_EFFECT_TYPE"},
	BuildingFunction = { 
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 2,
		RelatedJob = { Job = "SHOEMAKER", Behavior = "WORK_BEHAVIOR" },
		InputInventoryCapacity = {{ Resource = "LEATHER", Quantity = 20 }},
		ResourceListNeeded = {{ Resource = "LEATHER", Quantity = 4 }},
		ResourceProduced = {{ Resource = "SHOES", Quantity = 2 }}
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 5 }
		},
		RessourcesNeeded = {
			{ Resource = "STONE", Quantity = 10 },
			{ Resource = "PLANK", Quantity = 6 },
			{ Resource = "TOOL", Quantity = 4 }
		}
	}
})